org.jbpm.marshalling.impl

## Class JBPMMessages.WorkItem.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessageV3.Builder<JBPMMessages.WorkItem.Builder>
      - - org.jbpm.marshalling.impl.JBPMMessages.WorkItem.Builder

- All Implemented Interfaces:
    com.google.protobuf.Message.Builder, com.google.protobuf.MessageLite.Builder, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, Cloneable, JBPMMessages.WorkItemOrBuilder
  Enclosing class:
    JBPMMessages.WorkItem

      public static final class JBPMMessages.WorkItem.Builder
      extends com.google.protobuf.GeneratedMessageV3.Builder<JBPMMessages.WorkItem.Builder>
      implements JBPMMessages.WorkItemOrBuilder

  Protobuf type `org.jbpm.marshalling.WorkItem`

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `JBPMMessages.WorkItem.Builder` | `addAllVariable(Iterable<? extends JBPMMessages.Variable> values)` `repeated .org.jbpm.marshalling.Variable variable = 5;`
    `JBPMMessages.WorkItem.Builder` | `addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
    `JBPMMessages.WorkItem.Builder` | `addVariable(int index, JBPMMessages.Variable.Builder builderForValue)` `repeated .org.jbpm.marshalling.Variable variable = 5;`
    `JBPMMessages.WorkItem.Builder` | `addVariable(int index, JBPMMessages.Variable value)` `repeated .org.jbpm.marshalling.Variable variable = 5;`
    `JBPMMessages.WorkItem.Builder` | `addVariable(JBPMMessages.Variable.Builder builderForValue)` `repeated .org.jbpm.marshalling.Variable variable = 5;`
    `JBPMMessages.WorkItem.Builder` | `addVariable(JBPMMessages.Variable value)` `repeated .org.jbpm.marshalling.Variable variable = 5;`
    `JBPMMessages.Variable.Builder` | `addVariableBuilder()` `repeated .org.jbpm.marshalling.Variable variable = 5;`
    `JBPMMessages.Variable.Builder` | `addVariableBuilder(int index)` `repeated .org.jbpm.marshalling.Variable variable = 5;`
    `JBPMMessages.WorkItem` | `build()`
    `JBPMMessages.WorkItem` | `buildPartial()`
    `JBPMMessages.WorkItem.Builder` | `clear()`
    `JBPMMessages.WorkItem.Builder` | `clearDeploymentId()` `optional string deployment_id = 6;`
    `JBPMMessages.WorkItem.Builder` | `clearField(com.google.protobuf.Descriptors.FieldDescriptor field)`
    `JBPMMessages.WorkItem.Builder` | `clearId()` `optional int64 id = 1;`
    `JBPMMessages.WorkItem.Builder` | `clearName()` `optional string name = 3;`
    `JBPMMessages.WorkItem.Builder` | `clearNodeId()` `optional int64 node_id = 8;`
    `JBPMMessages.WorkItem.Builder` | `clearNodeInstanceId()` `optional int64 node_instance_id = 7;`
    `JBPMMessages.WorkItem.Builder` | `clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
    `JBPMMessages.WorkItem.Builder` | `clearProcessInstancesId()` `optional int64 process_instances_id = 2;`
    `JBPMMessages.WorkItem.Builder` | `clearState()` `optional int32 state = 4;`
    `JBPMMessages.WorkItem.Builder` | `clearVariable()` `repeated .org.jbpm.marshalling.Variable variable = 5;`
    `JBPMMessages.WorkItem.Builder` | `clone()`
    `JBPMMessages.WorkItem` | `getDefaultInstanceForType()`
    `String` | `getDeploymentId()` `optional string deployment_id = 6;`
    `com.google.protobuf.ByteString` | `getDeploymentIdBytes()` `optional string deployment_id = 6;`
    `static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()`
    `com.google.protobuf.Descriptors.Descriptor` | `getDescriptorForType()`
    `long` | `getId()` `optional int64 id = 1;`
    `String` | `getName()` `optional string name = 3;`
    `com.google.protobuf.ByteString` | `getNameBytes()` `optional string name = 3;`
    `long` | `getNodeId()` `optional int64 node_id = 8;`
    `long` | `getNodeInstanceId()` `optional int64 node_instance_id = 7;`
    `long` | `getProcessInstancesId()` `optional int64 process_instances_id = 2;`
    `int` | `getState()` `optional int32 state = 4;`
    `JBPMMessages.Variable` | `getVariable(int index)` `repeated .org.jbpm.marshalling.Variable variable = 5;`
    `JBPMMessages.Variable.Builder` | `getVariableBuilder(int index)` `repeated .org.jbpm.marshalling.Variable variable = 5;`
    `List<JBPMMessages.Variable.Builder>` | `getVariableBuilderList()` `repeated .org.jbpm.marshalling.Variable variable = 5;`
    `int` | `getVariableCount()` `repeated .org.jbpm.marshalling.Variable variable = 5;`
    `List<JBPMMessages.Variable>` | `getVariableList()` `repeated .org.jbpm.marshalling.Variable variable = 5;`
    `JBPMMessages.VariableOrBuilder` | `getVariableOrBuilder(int index)` `repeated .org.jbpm.marshalling.Variable variable = 5;`
    `List<? extends JBPMMessages.VariableOrBuilder>` | `getVariableOrBuilderList()` `repeated .org.jbpm.marshalling.Variable variable = 5;`
    `boolean` | `hasDeploymentId()` `optional string deployment_id = 6;`
    `boolean` | `hasId()` `optional int64 id = 1;`
    `boolean` | `hasName()` `optional string name = 3;`
    `boolean` | `hasNodeId()` `optional int64 node_id = 8;`
    `boolean` | `hasNodeInstanceId()` `optional int64 node_instance_id = 7;`
    `boolean` | `hasProcessInstancesId()` `optional int64 process_instances_id = 2;`
    `boolean` | `hasState()` `optional int32 state = 4;`
    `protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` | `internalGetFieldAccessorTable()`
    `boolean` | `isInitialized()`
    `JBPMMessages.WorkItem.Builder` | `mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `JBPMMessages.WorkItem.Builder` | `mergeFrom(JBPMMessages.WorkItem other)`
    `JBPMMessages.WorkItem.Builder` | `mergeFrom(com.google.protobuf.Message other)`
    `JBPMMessages.WorkItem.Builder` | `mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`
    `JBPMMessages.WorkItem.Builder` | `removeVariable(int index)` `repeated .org.jbpm.marshalling.Variable variable = 5;`
    `JBPMMessages.WorkItem.Builder` | `setDeploymentId(String value)` `optional string deployment_id = 6;`
    `JBPMMessages.WorkItem.Builder` | `setDeploymentIdBytes(com.google.protobuf.ByteString value)` `optional string deployment_id = 6;`
    `JBPMMessages.WorkItem.Builder` | `setField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
    `JBPMMessages.WorkItem.Builder` | `setId(long value)` `optional int64 id = 1;`
    `JBPMMessages.WorkItem.Builder` | `setName(String value)` `optional string name = 3;`
    `JBPMMessages.WorkItem.Builder` | `setNameBytes(com.google.protobuf.ByteString value)` `optional string name = 3;`
    `JBPMMessages.WorkItem.Builder` | `setNodeId(long value)` `optional int64 node_id = 8;`
    `JBPMMessages.WorkItem.Builder` | `setNodeInstanceId(long value)` `optional int64 node_instance_id = 7;`
    `JBPMMessages.WorkItem.Builder` | `setProcessInstancesId(long value)` `optional int64 process_instances_id = 2;`
    `JBPMMessages.WorkItem.Builder` | `setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
    `JBPMMessages.WorkItem.Builder` | `setState(int value)` `optional int32 state = 4;`
    `JBPMMessages.WorkItem.Builder` | `setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`
    `JBPMMessages.WorkItem.Builder` | `setVariable(int index, JBPMMessages.Variable.Builder builderForValue)` `repeated .org.jbpm.marshalling.Variable variable = 5;`
    `JBPMMessages.WorkItem.Builder` | `setVariable(int index, JBPMMessages.Variable value)` `repeated .org.jbpm.marshalling.Variable variable = 5;`

    - ### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

      `getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, newBuilderForField, onBuilt, onChanged, setUnknownFieldsProto3`

    - ### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

      `findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

    - ### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

      `addAll, addAll, mergeFrom, newUninitializedMessageException`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

    - ### Methods inherited from interface com.google.protobuf.MessageLite.Builder

      `mergeFrom`

- - ### Method Detail

    - #### getDescriptor

          public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

    - #### internalGetFieldAccessorTable

          protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

      Specified by:
        `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<JBPMMessages.WorkItem.Builder>`

    - #### clear

          public JBPMMessages.WorkItem.Builder clear()

      Specified by:
        `clear` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clear` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<JBPMMessages.WorkItem.Builder>`

    - #### getDescriptorForType

          public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
      Overrides:
        `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<JBPMMessages.WorkItem.Builder>`

    - #### getDefaultInstanceForType

          public JBPMMessages.WorkItem getDefaultInstanceForType()

      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

    - #### build

          public JBPMMessages.WorkItem build()

      Specified by:
        `build` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `build` in interface `com.google.protobuf.MessageLite.Builder`

    - #### buildPartial

          public JBPMMessages.WorkItem buildPartial()

      Specified by:
        `buildPartial` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

    - #### clone

          public JBPMMessages.WorkItem.Builder clone()

      Specified by:
        `clone` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clone` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<JBPMMessages.WorkItem.Builder>`

    - #### setField

          public JBPMMessages.WorkItem.Builder setField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                        Object value)

      Specified by:
        `setField` in interface `com.google.protobuf.Message.Builder`
      Overrides:
        `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<JBPMMessages.WorkItem.Builder>`

    - #### clearField

          public JBPMMessages.WorkItem.Builder clearField(com.google.protobuf.Descriptors.FieldDescriptor field)

      Specified by:
        `clearField` in interface `com.google.protobuf.Message.Builder`
      Overrides:
        `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<JBPMMessages.WorkItem.Builder>`

    - #### clearOneof

          public JBPMMessages.WorkItem.Builder clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)

      Specified by:
        `clearOneof` in interface `com.google.protobuf.Message.Builder`
      Overrides:
        `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<JBPMMessages.WorkItem.Builder>`

    - #### setRepeatedField

          public JBPMMessages.WorkItem.Builder setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                                int index,
                                                                Object value)

      Specified by:
        `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
      Overrides:
        `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<JBPMMessages.WorkItem.Builder>`

    - #### addRepeatedField

          public JBPMMessages.WorkItem.Builder addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                                Object value)

      Specified by:
        `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
      Overrides:
        `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<JBPMMessages.WorkItem.Builder>`

    - #### mergeFrom

          public JBPMMessages.WorkItem.Builder mergeFrom(com.google.protobuf.Message other)

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<JBPMMessages.WorkItem.Builder>`

    - #### mergeFrom

          public JBPMMessages.WorkItem.Builder mergeFrom(JBPMMessages.WorkItem other)

    - #### isInitialized

          public final boolean isInitialized()

      Specified by:
        `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Overrides:
        `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<JBPMMessages.WorkItem.Builder>`

    - #### mergeFrom

          public JBPMMessages.WorkItem.Builder mergeFrom(com.google.protobuf.CodedInputStream input,
                                                         com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                  throws IOException

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<JBPMMessages.WorkItem.Builder>`
      Throws:
        `IOException`

    - #### hasId

          public boolean hasId()

      `optional int64 id = 1;`
      Specified by:
        `hasId` in interface `JBPMMessages.WorkItemOrBuilder`

    - #### getId

          public long getId()

      `optional int64 id = 1;`
      Specified by:
        `getId` in interface `JBPMMessages.WorkItemOrBuilder`

    - #### setId

          public JBPMMessages.WorkItem.Builder setId(long value)

      `optional int64 id = 1;`

    - #### clearId

          public JBPMMessages.WorkItem.Builder clearId()

      `optional int64 id = 1;`

    - #### hasProcessInstancesId

          public boolean hasProcessInstancesId()

      `optional int64 process_instances_id = 2;`
      Specified by:
        `hasProcessInstancesId` in interface `JBPMMessages.WorkItemOrBuilder`

    - #### getProcessInstancesId

          public long getProcessInstancesId()

      `optional int64 process_instances_id = 2;`
      Specified by:
        `getProcessInstancesId` in interface `JBPMMessages.WorkItemOrBuilder`

    - #### setProcessInstancesId

          public JBPMMessages.WorkItem.Builder setProcessInstancesId(long value)

      `optional int64 process_instances_id = 2;`

    - #### clearProcessInstancesId

          public JBPMMessages.WorkItem.Builder clearProcessInstancesId()

      `optional int64 process_instances_id = 2;`

    - #### hasName

          public boolean hasName()

      `optional string name = 3;`
      Specified by:
        `hasName` in interface `JBPMMessages.WorkItemOrBuilder`

    - #### getName

          public String getName()

      `optional string name = 3;`
      Specified by:
        `getName` in interface `JBPMMessages.WorkItemOrBuilder`

    - #### getNameBytes

          public com.google.protobuf.ByteString getNameBytes()

      `optional string name = 3;`
      Specified by:
        `getNameBytes` in interface `JBPMMessages.WorkItemOrBuilder`

    - #### setName

          public JBPMMessages.WorkItem.Builder setName(String value)

      `optional string name = 3;`

    - #### clearName

          public JBPMMessages.WorkItem.Builder clearName()

      `optional string name = 3;`

    - #### setNameBytes

          public JBPMMessages.WorkItem.Builder setNameBytes(com.google.protobuf.ByteString value)

      `optional string name = 3;`

    - #### hasState

          public boolean hasState()

      `optional int32 state = 4;`
      Specified by:
        `hasState` in interface `JBPMMessages.WorkItemOrBuilder`

    - #### getState

          public int getState()

      `optional int32 state = 4;`
      Specified by:
        `getState` in interface `JBPMMessages.WorkItemOrBuilder`

    - #### setState

          public JBPMMessages.WorkItem.Builder setState(int value)

      `optional int32 state = 4;`

    - #### clearState

          public JBPMMessages.WorkItem.Builder clearState()

      `optional int32 state = 4;`

    - #### getVariableList

          public List<JBPMMessages.Variable> getVariableList()

      `repeated .org.jbpm.marshalling.Variable variable = 5;`
      Specified by:
        `getVariableList` in interface `JBPMMessages.WorkItemOrBuilder`

    - #### getVariableCount

          public int getVariableCount()

      `repeated .org.jbpm.marshalling.Variable variable = 5;`
      Specified by:
        `getVariableCount` in interface `JBPMMessages.WorkItemOrBuilder`

    - #### getVariable

          public JBPMMessages.Variable getVariable(int index)

      `repeated .org.jbpm.marshalling.Variable variable = 5;`
      Specified by:
        `getVariable` in interface `JBPMMessages.WorkItemOrBuilder`

    - #### setVariable

          public JBPMMessages.WorkItem.Builder setVariable(int index,
                                                           JBPMMessages.Variable value)

      `repeated .org.jbpm.marshalling.Variable variable = 5;`

    - #### setVariable

          public JBPMMessages.WorkItem.Builder setVariable(int index,
                                                           JBPMMessages.Variable.Builder builderForValue)

      `repeated .org.jbpm.marshalling.Variable variable = 5;`

    - #### addVariable

          public JBPMMessages.WorkItem.Builder addVariable(JBPMMessages.Variable value)

      `repeated .org.jbpm.marshalling.Variable variable = 5;`

    - #### addVariable

          public JBPMMessages.WorkItem.Builder addVariable(int index,
                                                           JBPMMessages.Variable value)

      `repeated .org.jbpm.marshalling.Variable variable = 5;`

    - #### addVariable

          public JBPMMessages.WorkItem.Builder addVariable(JBPMMessages.Variable.Builder builderForValue)

      `repeated .org.jbpm.marshalling.Variable variable = 5;`

    - #### addVariable

          public JBPMMessages.WorkItem.Builder addVariable(int index,
                                                           JBPMMessages.Variable.Builder builderForValue)

      `repeated .org.jbpm.marshalling.Variable variable = 5;`

    - #### addAllVariable

          public JBPMMessages.WorkItem.Builder addAllVariable(Iterable<? extends JBPMMessages.Variable> values)

      `repeated .org.jbpm.marshalling.Variable variable = 5;`

    - #### clearVariable

          public JBPMMessages.WorkItem.Builder clearVariable()

      `repeated .org.jbpm.marshalling.Variable variable = 5;`

    - #### removeVariable

          public JBPMMessages.WorkItem.Builder removeVariable(int index)

      `repeated .org.jbpm.marshalling.Variable variable = 5;`

    - #### getVariableBuilder

          public JBPMMessages.Variable.Builder getVariableBuilder(int index)

      `repeated .org.jbpm.marshalling.Variable variable = 5;`

    - #### getVariableOrBuilder

          public JBPMMessages.VariableOrBuilder getVariableOrBuilder(int index)

      `repeated .org.jbpm.marshalling.Variable variable = 5;`
      Specified by:
        `getVariableOrBuilder` in interface `JBPMMessages.WorkItemOrBuilder`

    - #### getVariableOrBuilderList

          public List<? extends JBPMMessages.VariableOrBuilder> getVariableOrBuilderList()

      `repeated .org.jbpm.marshalling.Variable variable = 5;`
      Specified by:
        `getVariableOrBuilderList` in interface `JBPMMessages.WorkItemOrBuilder`

    - #### addVariableBuilder

          public JBPMMessages.Variable.Builder addVariableBuilder()

      `repeated .org.jbpm.marshalling.Variable variable = 5;`

    - #### addVariableBuilder

          public JBPMMessages.Variable.Builder addVariableBuilder(int index)

      `repeated .org.jbpm.marshalling.Variable variable = 5;`

    - #### getVariableBuilderList

          public List<JBPMMessages.Variable.Builder> getVariableBuilderList()

      `repeated .org.jbpm.marshalling.Variable variable = 5;`

    - #### hasDeploymentId

          public boolean hasDeploymentId()

      `optional string deployment_id = 6;`
      Specified by:
        `hasDeploymentId` in interface `JBPMMessages.WorkItemOrBuilder`

    - #### getDeploymentId

          public String getDeploymentId()

      `optional string deployment_id = 6;`
      Specified by:
        `getDeploymentId` in interface `JBPMMessages.WorkItemOrBuilder`

    - #### getDeploymentIdBytes

          public com.google.protobuf.ByteString getDeploymentIdBytes()

      `optional string deployment_id = 6;`
      Specified by:
        `getDeploymentIdBytes` in interface `JBPMMessages.WorkItemOrBuilder`

    - #### setDeploymentId

          public JBPMMessages.WorkItem.Builder setDeploymentId(String value)

      `optional string deployment_id = 6;`

    - #### clearDeploymentId

          public JBPMMessages.WorkItem.Builder clearDeploymentId()

      `optional string deployment_id = 6;`

    - #### setDeploymentIdBytes

          public JBPMMessages.WorkItem.Builder setDeploymentIdBytes(com.google.protobuf.ByteString value)

      `optional string deployment_id = 6;`

    - #### hasNodeInstanceId

          public boolean hasNodeInstanceId()

      `optional int64 node_instance_id = 7;`
      Specified by:
        `hasNodeInstanceId` in interface `JBPMMessages.WorkItemOrBuilder`

    - #### getNodeInstanceId

          public long getNodeInstanceId()

      `optional int64 node_instance_id = 7;`
      Specified by:
        `getNodeInstanceId` in interface `JBPMMessages.WorkItemOrBuilder`

    - #### setNodeInstanceId

          public JBPMMessages.WorkItem.Builder setNodeInstanceId(long value)

      `optional int64 node_instance_id = 7;`

    - #### clearNodeInstanceId

          public JBPMMessages.WorkItem.Builder clearNodeInstanceId()

      `optional int64 node_instance_id = 7;`

    - #### hasNodeId

          public boolean hasNodeId()

      `optional int64 node_id = 8;`
      Specified by:
        `hasNodeId` in interface `JBPMMessages.WorkItemOrBuilder`

    - #### getNodeId

          public long getNodeId()

      `optional int64 node_id = 8;`
      Specified by:
        `getNodeId` in interface `JBPMMessages.WorkItemOrBuilder`

    - #### setNodeId

          public JBPMMessages.WorkItem.Builder setNodeId(long value)

      `optional int64 node_id = 8;`

    - #### clearNodeId

          public JBPMMessages.WorkItem.Builder clearNodeId()

      `optional int64 node_id = 8;`

    - #### setUnknownFields

          public final JBPMMessages.WorkItem.Builder setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

      Specified by:
        `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
      Overrides:
        `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<JBPMMessages.WorkItem.Builder>`

    - #### mergeUnknownFields

          public final JBPMMessages.WorkItem.Builder mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

      Specified by:
        `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
      Overrides:
        `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<JBPMMessages.WorkItem.Builder>`

Copyright © 2001–2020 JBoss by Red Hat. All rights reserved.